define(['jquery', 'jqueryui', 'core/str', 'core/templates', 'core/notification', 'local_dabar/forms'], function($, jqui, str, templates, notification) {
	return {
        initialise: function (controler, template) {	
        	var brojac = {};
        	brojac['counter_'+controler] = 1;
        	brojac['parent_'+controler] = 1;
        	
        	$("#tabs"+controler).tabs({
        		active: 1,
        		beforeActivate: function(event, ui) {
        			if($(this).parents().eq(3).hasClass("ui-tabs")){
        				brojac['parent_'+controler] = parseInt($(this).parents().eq(3).tabs().find('.ui-state-active').first().text());
	        		}
        			brojac['counter_'+controler] = parseInt($(this).find(".ui-tabs-nav").first().children().last().text())+1;
        		},
        		activate: function (event, ui) {
        			var tabs = $(this);
        			var active = tabs.tabs('option', 'active');
        			if(active == 0){
        				tabs.find(".ui-tabs-nav").first().append("<li><a href='#tabs"+controler+"-"+brojac['counter_'+controler]+"'>"+brojac['counter_'+controler]+"</a><span class='ui-icon ui-icon-close' role='presentation'></span></li>");
        				var context = { count: brojac['counter_'+controler], parent: brojac['parent_'+controler] };
        				if(context.parent == 1 && context.parent > 1){
        					context.parent = brojac['counter_'+controler];
        				}
                		templates.render('local_dabar/'+template, context).then(function(html, js) {
                			tabs.append("<div id='tabs"+controler+"-"+brojac['counter_'+controler]+"'>"+html+"</div>");
                			tabs.tabs("refresh");
                			var last = parseInt(tabs.find(".ui-tabs-nav").first().children().length);
                			tabs.tabs("option", "active", last-1);
                			$('#dabar-form').append("<script>"+js+"</script>");
                		}).fail(notification.exception);
        			}
        		}
    		});
        	$("#tabs"+controler).tabs().on("click", "span.ui-icon-close", function() {
        		var panelId = $(this).closest("li").remove().attr("aria-controls");
        		$("#"+panelId).remove();
        		$("#tabs"+controler).tabs("refresh");
        		var last = parseInt($("#tabs"+controler).find(".ui-tabs-nav").first().children().length);
        		$("#tabs"+controler).tabs("option", "active", last-1);
    	    });
        },
        
        populateSelect: function(select, rjecnik){
        	var data = rjecnici[rjecnik];
        	$('#'+select).find('option').remove().end();
        	$.each(data,function(key, value){
        		$('#'+select).append('<option value="' + value[0] + '">' + value[1] + '</option>');
			});
        },
        
        populateAutocomplete: function(target, rjecnik){
        	$('#'+rjecnik).change(function(){
        		if($('#'+rjecnik).val()){
        			var data = rjecnici[$('#'+rjecnik).val()];
                	$("#"+target).autocomplete({
                		source: data,
                		minLength: 0
                	});
        		}
        	});
        },
        
        dependentSelect: function(first, second, third){
        	$('#'+first).find('option').remove().end();
        	$('#'+first).append('<option value="">- Odaberite -</option>');
        	$.each(disciplines,function(key, value){
        		$('#'+first).append('<option value="' + key + '">' + key + '</option>');
			});
        	
        	$('#'+first).on('change', function() {
        		$('#'+second).find('option').remove().end();
        		$('#'+third).find('option').remove().end();
            	$('#'+second).append('<option value="">- Odaberite -</option>');
            	$('#'+third).append('<option value="">- Odaberite -</option>');
            	var discipline = $('#'+first).val();
            	$.each(disciplines[discipline].children,function(key, value){
            		$('#'+second).append('<option value="' + key + '">' + key + '</option>');
    			});
    		});
        	
        	$('#'+second).on('change', function() {
        		$('#'+third).find('option').remove().end();
            	$('#'+third).append('<option value="">- Odaberite -</option>');
            	var discipline = $('#'+first).val();
            	var field = $('#'+second).val();
            	$.each(disciplines[discipline].children[field].children,function(key, value){
            		$('#'+third).append('<option value="' + key + '">' + key + '</option>');
    			});
    		});
        },
        
        setDefaultsMetadata: function(json){
        	$('#language-1-language').val(json.language);
        	$('#title-1-language').val(json.language);
        	$('#title-1-title').val(json.title);
        	$('#abstract-1-language').val(json.language);
        	$('#abstract-1-abstract').val(json.summary);
        	$('#keyword-1-language').val(json.language);
        },
        
        setDefaultsEducational: function(element, value){
        	$('#'+element).val(value);
        },
        
        setDefaultsTechnical: function(json){
        	$('#fileformat-fileformat').val('mixed material');
        	$('#url-url').val(json.url);
        	$('#requirements-1-type').val('learning managment system');
        	$('#requirements-1-name').val('Moodle');
        	$('#requirements-1-min_version').val(json.backup_release);
        },
        
        setDependantFile: function(){
        	var form = this;
        	$('#file-access_rights').on('change', function(){
        		if($(this).val() == 'embargoedAccess'){
        			$('#file-embargo-date').removeClass('d-none');
        			$('#file-embargo-year').addClass('required');
        			$('#file-embargo-month').addClass('required');
        			$('#file-embargo-day').addClass('required');
        		}
        		else{
        			$('#file-embargo-date').addClass('d-none');
        			$('#file-embargo-year').removeClass('required');
        			$('#file-embargo-month').removeClass('required');
        			$('#file-embargo-day').removeClass('required');
        		}
        		if($(this).val() == 'openAccess' || $(this).val() == 'embargoedAccess'){
        			form.populateSelect('file-terms_of_use', 'TERMS_OF_USE');
        		}
        		else{
        			form.populateSelect('file-terms_of_use', 'TERMS_OF_USE_LIMIT');
        		}
        	});
        },
        
        validateForm: function(form){
        	var cancel = false;
        	$('#id_cancel').on('click', function(){
        		cancel = true;
        	});
        	$('#'+form).submit(function(event) {
        		if(cancel == false){
	        		$(this).find('.required').each(function(index, element){
	        			if(element.value == ''){
	        				$(element).addClass('border-danger text-danger');
	        				event.preventDefault();
	        			}
	        		});
        		}
        	});
        },
    };
});