<?php

/**
 * Postavke lokalnog dodatka za administratore sustava
 *
 * @package    local_dabar
 * @copyright  2019 Srce, Centar za e-učenje (http://www.srce.unizg.hr/ceu)
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

if ($hassiteconfig) {
	$ADMIN->add('localplugins', new admin_category('local_dabar', get_string('pluginname', 'local_dabar')));

	$settings = new admin_settingpage('local_dabar_general', get_string('general_settings', 'local_dabar'));
	$settings->add(new admin_setting_heading('general', get_string('general_settings', 'local_dabar'), ''));
	$settings->add(new admin_setting_configtextarea('local_dabar/institutions', get_string('institutions', 'local_dabar'), get_string('institutions_desc', 'local_dabar'), null));

	$ADMIN->add('local_dabar', $settings);


	$extra_config = get_config('local_dabar', 'institutions');
	$extra_config = explode('|', $extra_config);
	sort($extra_config);
	foreach($extra_config as $value){
		$value = explode(':', $value);
		$vu = $value[0];
		$categoryid = $value[1];
		if(count($value) == 2){
			$settings = new admin_settingpage("local_dabar_institution_{$categoryid}", get_string('institution_settings', 'local_dabar').$vu);
			$settings->add(new admin_setting_heading('institutions', get_string('institutions_settings', 'local_dabar'), ''));
			$settings->add(new admin_setting_heading("heading_{$categoryid}", '', get_string('institution_settings', 'local_dabar').$vu));
	
			$settings->add(new admin_setting_configtext("local_dabar/{$categoryid}_api_url", get_string('api_url', 'local_dabar'), get_string('api_url_desc', 'local_dabar'), 'https://{URL repozitorija}/api', PARAM_URL));
			$settings->add(new admin_setting_configtext("local_dabar/{$categoryid}_api_username", get_string('api_username', 'local_dabar'), get_string('api_username_desc', 'local_dabar'), null, PARAM_TEXT));
			$settings->add(new admin_setting_configtext("local_dabar/{$categoryid}_api_password", get_string('api_password', 'local_dabar'), get_string('api_password_desc', 'local_dabar'), null, PARAM_TEXT));
	
			$ADMIN->add('local_dabar', $settings);
		}
	}
}

?>