<?php
require_once('../../../config.php');
require_once($CFG->dirroot . '/backup/util/includes/restore_includes.php');

raise_memory_limit(MEMORY_EXTRA);
$courseid = required_param('courseid', PARAM_INT);
$pathnamehash = required_param('pathnamehash', PARAM_ALPHANUM);
$contenthash = required_param('contenthash', PARAM_ALPHANUM);
$stage    = required_param('stage', PARAM_INT);

$context = context_course::instance($courseid);
list($context, $course, $cm) = get_context_info_array($context->id);

if($_POST['cancel']){
	$urltogo = $CFG->wwwroot.'/course/view.php?id='.$course->id;
	redirect($urltogo);
	die;
}

$PAGE->set_url(new moodle_url('/local/dabar/upload/select.php', array('courseid'=>$course->id)));
$PAGE->set_context($context);
$PAGE->set_pagelayout('admin');
$PAGE->add_body_class('path-backup');

$params = array();
$PAGE->requires->jquery();
$PAGE->requires->jquery_plugin('ui');
$PAGE->requires->jquery_plugin('ui-css');

require_login($course->id);
require_capability('local/dabar:api_upload', $context);

$PAGE->set_title($course->shortname . ': ' . get_string('currentstage'.$stage, 'local_dabar'));
$PAGE->set_heading($course->fullname);
echo $OUTPUT->header();

echo html_writer::start_tag('div', array('class' => 'backup-restore'));
echo get_progress_bar($stage);

$years = array();
$years[] = array("","- Odaberite -");
for ($year = date('Y'); $year >= 1900; $year--) {
	$years[] = array($year, $year);
}
$years = json_encode($years);

$params = array(
	'count'=>1,
	'parent'=>1,
	'courseid' => $context->instanceid,
	'pathnamehash' => $pathnamehash,
	'contenthash' => $contenthash,
	'details'   => $SESSION->details,
	'stage' => 3,
	'years' => $years,
	'url'=>new moodle_url('/local/dabar/upload/educational.php')
);
echo $OUTPUT->render_from_template('local_dabar/metadata', $params);
echo html_writer::end_tag('div');

echo $OUTPUT->footer();